> For a complete page index, fetch https://developer.close.com/llms.txt # Initiate a new bulk delete POST https://api.close.com/api/v1/bulk_action/delete/ Content-Type: application/json Use `"send_done_email": false` if you don't want to get a confirmation email after the bulk action is done. Reference: https://developer.close.com/api/resources/bulk-actions/delete/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an any. - `any` ## Response ### 200 Successful response - `bulk_object_type` (enum, required) - Allowed values: `lead`, `contact`, `call`, `custom_activity`, `form_submission` - `created_by` (string, required, nullable) - `date_created` (datetime, required, nullable) - `date_updated` (datetime, required, nullable) - `id` (string, required) - `n_leads` (integer, required, nullable) - `n_leads_processed` (integer, required) - `n_objects` (integer, required, nullable) - `n_objects_processed` (integer, required) - `organization_id` (string, required) - `query` (string, required, nullable) - `results_limit` (integer, required, nullable) - `s_query` (map from string to any, required) - `send_done_email` (boolean, required) - `sort` (list of map from string to any, required) - `status` (enum, required, nullable) - Allowed values: `created`, `loading`, `processing`, `done`, `paused`, `resuming`, `error` - `updated_by` (string, required, nullable) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "results_limit": null, "s_query": { "queries": [ { "object_type": "lead", "type": "object_type" }, { "condition": { "mode": "full_words", "type": "text", "value": "ACME Inc." }, "field": { "field_name": "name", "object_type": "lead", "type": "regular_field" }, "type": "field_condition" } ], "type": "and" }, "sort": [ { "direction": "desc", "field": { "field_name": "date_created", "object_type": "lead", "type": "regular_field" } } ] } ``` **Response** ```json { "bulk_object_type": "lead", "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2015-03-16T00:19:50.141000+00:00", "date_updated": "2015-03-16T00:20:09.442000+00:00", "id": "bulkdelete_asdVYCm54A0El829k39e7nIvlCSDDhVLuyb8aspGSET", "n_leads": null, "n_leads_processed": 0, "n_objects": null, "n_objects_processed": 0, "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "query": "lead_status:Potential", "results_limit": null, "s_query": { "queries": [ { "object_type": "lead", "type": "object_type" }, { "condition": { "mode": "full_words", "type": "text", "value": "ACME Inc." }, "field": { "field_name": "name", "object_type": "lead", "type": "regular_field" }, "type": "field_condition" } ], "type": "and" }, "send_done_email": true, "sort": [ { "direction": "desc", "field": { "field_name": "date_created", "object_type": "lead", "type": "regular_field" } } ], "status": "created", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python import requests url = "https://api.close.com/api/v1/bulk_action/delete/" payload = { "results_limit": None, "s_query": { "queries": [ { "object_type": "lead", "type": "object_type" }, { "condition": { "mode": "full_words", "type": "text", "value": "ACME Inc." }, "field": { "field_name": "name", "object_type": "lead", "type": "regular_field" }, "type": "field_condition" } ], "type": "and" }, "sort": [ { "direction": "desc", "field": { "field_name": "date_created", "object_type": "lead", "type": "regular_field" } } ] } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://api.close.com/api/v1/bulk_action/delete/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"results_limit":null,"s_query":{"queries":[{"object_type":"lead","type":"object_type"},{"condition":{"mode":"full_words","type":"text","value":"ACME Inc."},"field":{"field_name":"name","object_type":"lead","type":"regular_field"},"type":"field_condition"}],"type":"and"},"sort":[{"direction":"desc","field":{"field_name":"date_created","object_type":"lead","type":"regular_field"}}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/bulk_action/delete/" payload := strings.NewReader("{\n \"results_limit\": null,\n \"s_query\": {\n \"queries\": [\n {\n \"object_type\": \"lead\",\n \"type\": \"object_type\"\n },\n {\n \"condition\": {\n \"mode\": \"full_words\",\n \"type\": \"text\",\n \"value\": \"ACME Inc.\"\n },\n \"field\": {\n \"field_name\": \"name\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n },\n \"type\": \"field_condition\"\n }\n ],\n \"type\": \"and\"\n },\n \"sort\": [\n {\n \"direction\": \"desc\",\n \"field\": {\n \"field_name\": \"date_created\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n }\n }\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/bulk_action/delete/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"results_limit\": null,\n \"s_query\": {\n \"queries\": [\n {\n \"object_type\": \"lead\",\n \"type\": \"object_type\"\n },\n {\n \"condition\": {\n \"mode\": \"full_words\",\n \"type\": \"text\",\n \"value\": \"ACME Inc.\"\n },\n \"field\": {\n \"field_name\": \"name\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n },\n \"type\": \"field_condition\"\n }\n ],\n \"type\": \"and\"\n },\n \"sort\": [\n {\n \"direction\": \"desc\",\n \"field\": {\n \"field_name\": \"date_created\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n }\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/bulk_action/delete/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"results_limit\": null,\n \"s_query\": {\n \"queries\": [\n {\n \"object_type\": \"lead\",\n \"type\": \"object_type\"\n },\n {\n \"condition\": {\n \"mode\": \"full_words\",\n \"type\": \"text\",\n \"value\": \"ACME Inc.\"\n },\n \"field\": {\n \"field_name\": \"name\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n },\n \"type\": \"field_condition\"\n }\n ],\n \"type\": \"and\"\n },\n \"sort\": [\n {\n \"direction\": \"desc\",\n \"field\": {\n \"field_name\": \"date_created\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n }\n }\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.close.com/api/v1/bulk_action/delete/', [ 'body' => '{ "results_limit": null, "s_query": { "queries": [ { "object_type": "lead", "type": "object_type" }, { "condition": { "mode": "full_words", "type": "text", "value": "ACME Inc." }, "field": { "field_name": "name", "object_type": "lead", "type": "regular_field" }, "type": "field_condition" } ], "type": "and" }, "sort": [ { "direction": "desc", "field": { "field_name": "date_created", "object_type": "lead", "type": "regular_field" } } ] }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/bulk_action/delete/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"results_limit\": null,\n \"s_query\": {\n \"queries\": [\n {\n \"object_type\": \"lead\",\n \"type\": \"object_type\"\n },\n {\n \"condition\": {\n \"mode\": \"full_words\",\n \"type\": \"text\",\n \"value\": \"ACME Inc.\"\n },\n \"field\": {\n \"field_name\": \"name\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n },\n \"type\": \"field_condition\"\n }\n ],\n \"type\": \"and\"\n },\n \"sort\": [\n {\n \"direction\": \"desc\",\n \"field\": {\n \"field_name\": \"date_created\",\n \"object_type\": \"lead\",\n \"type\": \"regular_field\"\n }\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```